Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.connect
Class DbDateTime

    java.lang.Object
      jet.connect.DbValue
          jet.connect.DbDateTime

Direct Known Subclasses:
  DbDate, DbTime, DbTimestamp

    public abstract class DbDateTime

extends DbValue

The super class of DbDate, DbTime, DbTimestamp

Field Summary
`long` | `value`

Fields inherited from class jet.connect.DbValue
`bNull, CHAR_DESC, CURRENCY_DESC, DATE_DESC, desc, DOUBLE_DESC, INTEGER_DESC, TIME_DESC`

Constructor Summary
`DbDateTime()`
`DbDateTime(DbColDesc desc)`

Method Summary
`int` | `compareTo(DbValue v)` Compare with the dbvalue v;
`boolean` | `equals(DbValue v)` Determine if another DbValue object is of equal value as this DbValue Object
`long` | `get()`
`void` | `set(long v)`
`void` | `setValue(DbValue v)`
`java.lang.String` | `toFormatString(java.lang.String pattern)`
`java.util.Date` | `toSqlDate()`
`java.util.Date` | `toUtilDate()`

Methods inherited from class jet.connect.DbValue
`clone, equals, getColDesc, getPrecision, getScale, getSqlType, isCurrency, isNull, makeDbValue, set, set, set, setColDesc, setfoo, setNull, setValue, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    public long value

Constructor Detail

### DbDateTime

    public DbDateTime()

### DbDateTime

    public DbDateTime(DbColDesc desc)

Method Detail

### get

    public long get()

### set

    public void set(long v)

### toUtilDate

    public java.util.Date toUtilDate()

### toSqlDate

    public java.util.Date toSqlDate()

### toFormatString

    public java.lang.String toFormatString(java.lang.String pattern)

### equals

    public boolean equals(DbValue v)

  Description copied from class: `DbValue`
  Determine if another DbValue object is of equal value as this DbValue Object

  Specified by:
    `equals` in class `DbValue`

### compareTo

    public int compareTo(DbValue v)

  Description copied from class: `DbValue`
  Compare with the dbvalue v;

  Specified by:
    `compareTo` in class `DbValue`
  Returns:
    LESS, EQUAL, GREAT.

### setValue

    public void setValue(DbValue v)

  Overrides:
    `setValue` in class `DbValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD